8086:0f31 Xubuntu freeze once a day

Bug #1453298 reported by Ubuntu1988 on 2015-05-08
88
This bug affects 19 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Unknown
High
xserver-xorg-video-intel (Ubuntu)
Medium
Unassigned
Nominated for Vivid by Alberto Salvia Novella

Bug Description

Xubuntu Vivid crashes once a day with Intel Celeron J1900 / HD Graphics, mainly when watching videos and more rarely during routine tasks like surfing on firefox or during a skype call

- 00:02.0 VGA compatible controller [0300]: Intel Corporation Atom Processor
Z36xxx/Z37xxx Series Graphics & Display [8086:0f31] (rev 0e)

I think it may be related with this bug https://bugs.freedesktop.org/show_bug.cgi?id=88012 (found via https://bbs.archlinux.org/viewtopic.php?id=195736 i have the same config but another distro)
I have tried to set "NoAccel" option to xorg conf file to true but same thing ...

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2.1
ProcVersionSignature: Ubuntu 3.19.0-16.16-generic 3.19.3
Uname: Linux 3.19.0-16-generic x86_64
ApportVersion: 2.17.2-0ubuntu1
Architecture: amd64
CurrentDesktop: XFCE
Date: Sat May 9 00:11:14 2015
InstallationDate: Installed on 2015-05-02 (6 days ago)
InstallationMedia: Xubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422.1)
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)
---
ApportVersion: 2.17.2-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: steve 1530 F.... pulseaudio
 /dev/snd/controlC1: steve 1530 F.... pulseaudio
CurrentDesktop: XFCE
DistroRelease: Ubuntu 15.04
HibernationDevice: RESUME=UUID=fdcd8774-2dc2-4a6b-8fa8-9d3c6baa07a9
InstallationDate: Installed on 2015-05-02 (7 days ago)
InstallationMedia: Xubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422.1)
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
MachineType: MEDION B269
Package: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2.1
PackageArchitecture: amd64
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-16-generic.efi.signed root=UUID=c1ef472e-75c1-4e99-9d2d-d8c5bdc94414 ro noprompt quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.19.0-16.16-generic 3.19.3
RelatedPackageVersions:
 linux-restricted-modules-3.19.0-16-generic N/A
 linux-backports-modules-3.19.0-16-generic N/A
 linux-firmware 1.143
RfKill:

Tags: vivid vivid
UdevLog: Error: [Errno 2] Aucun fichier ou dossier de ce type: '/var/log/udev'
Uname: Linux 3.19.0-16-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 09/26/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: BTLTW08.110
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: BTDD-LT
dmi.board.vendor: MEDION
dmi.board.version: 1.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MEDION
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrBTLTW08.110:bd09/26/2014:svnMEDION:pnB269:pvr1.0:rvnMEDION:rnBTDD-LT:rvr1.0:cvnMEDION:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: B269
dmi.product.version: 1.0
dmi.sys.vendor: MEDION

We experienced strange full system freezes on Asrock Q1900 hardware with our OpenELEC 5.0 release. No errors were visible via netconsole, the whole system just fully hung.

We then started to bisect between kernel 3.13 and 3.18 stable. It was verified before that 3.19-rc2 is also affected.

Commit: 31685c258e0b0ad6aa486c5ec001382cf8a64212 drm/i915/vlv: WA for Turbo and RC6 to work together

was found to be the first bad commit in that bisect.

A manual workaround was to set the max cstate to C1 (via BIOS), which workarounded this bug.

We currently have > 10 users that are affected by this bug (mostly Asrock Q1900 users).

You can see the complete bisecting steps here: https://github.com/OpenELEC/OpenELEC.tv/issues/3726#issuecomment-68626603

I will ask that user to subscribe to this tracker. As we freeze very hard, it's not possible to add logfiles as the netconsole stays empty for us.

Created attachment 111723
dmesg output from boot till crash (drm.debug=0xe debug ignore_loglevel)

ASRock Q2900-ITX is affected, too.
Log is crated by using netconsole.

Created attachment 111734
Be more careful with punit reads

It's a bit of a long shot, but let's see what happens.
I have only compile tested this patch.

Created attachment 111739
111723: dmesg output from boot to hung (drm.debug=0xe debug ignore_loglevel)

Good day, I did the bisect, see attached my dmesg.

System: Zotac CI320 Nano, FW Version 2K141128, Intel HD Graphics, Intel Celeron N2930 (quad-core, 1.83 GHz)

I had some patches to improve the vlv rps: http://cgit.freedesktop.org/~ickle/linux-2.6/log/?h=bug88012

They incorporated the change Ben suggested and reduce the number of interrupts required by the manual RPS tuning, as well as making it much more responsive to gfx workload (not that byt has that great a range). It doesn't explain a system hang though...

Created attachment 111767
dmesg output from boot to hung (drm.debug=0xe debug ignore_loglevel)

I build the Kernel (3.18.1-bw1+) from Peters git with Ben Widawski experimental patch. Unfortunately I had the freeze / hung again after ~10 minutes of running a movie. Attached is the dmesg log via netconsole until the System freeze.
If you need more Information or Logs - of course I will support as mutch is possible.

38 comments hidden view all 174 comments
Ubuntu1988 (ubuntu1988) wrote :
Ubuntu1988 (ubuntu1988) on 2015-05-08
description: updated
description: updated
description: updated
Ubuntu1988 (ubuntu1988) on 2015-05-08
description: updated
description: updated
Ubuntu1988 (ubuntu1988) on 2015-05-08
description: updated

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1453298

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
no longer affects: linux (Ubuntu)

Hi,

Exactly same problem here!
And the solution is?????

Regards,
Daniel

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Critical
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Triaged
dcastro (maildcastro) wrote :

Hi,

Here a little bit information:

~$ uname -a
Linux mini 3.19.0-26-generic #28-Ubuntu SMP Tue Aug 11 14:16:32 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

~$ Xorg -version

X.Org X Server 1.17.1
Release Date: 2015-02-10
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.0-61-generic x86_64 Ubuntu
Current Operating System: Linux mini 3.19.0-26-generic #28-Ubuntu SMP Tue Aug 11 14:16:32 UTC 2015 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.19.0-26-generic root=UUID=2ee99c40-1fb2-4acc-a729-01443306486f ro text
Build Date: 19 March 2015 09:26:59AM
xorg-server 2:1.17.1-0ubuntu3 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.32.6
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.

~$ lspci -s 00:02.0 -v
00:02.0 VGA compatible controller: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display (rev 0e) (prog-if 00 [VGA controller])
        Subsystem: Foxconn International, Inc. Device 0db1
        Flags: bus master, fast devsel, latency 0, IRQ 92
        Memory at d0000000 (32-bit, non-prefetchable) [size=4M]
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        I/O ports at f080 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915

~$ head -n5 /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 6
model : 55
model name : Intel(R) Celeron(R) CPU J1900 @ 1.99GHz

If i can provide any useful information, please let me known.

Regards,
Daniel

ApportVersion: 2.17.2-0ubuntu1.3
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
DistUpgraded: Fresh install
DistroCodename: vivid
DistroRelease: Ubuntu 15.04
DistroVariant: ubuntu
DkmsStatus:
 r8168, 8.039.00, 3.19.0-23-generic, x86_64: installed
 r8168, 8.039.00, 3.19.0-26-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display [8086:0f31] (rev 0e) (prog-if 00 [VGA controller])
   Subsystem: Foxconn International, Inc. Device [105b:0db1]
InstallationDate: Installed on 2015-08-19 (2 days ago)
InstallationMedia: Ubuntu-GNOME 15.04 "Vivid Vervet" - Release amd64 (20150422)
MachineType: To be filled by O.E.M. To be filled by O.E.M.
Package: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2.2
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-26-generic root=UUID=2ee99c40-1fb2-4acc-a729-01443306486f ro text
ProcVersionSignature: Ubuntu 3.19.0-26.28-generic 3.19.8-ckt4
Tags: vivid ubuntu
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
Uname: Linux 3.19.0-26-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 07/17/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: D72F1P05_x64
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: nT-iBT18/nT-iBT19/nT-iBT29
dmi.board.vendor: Foxconn
dmi.board.version: FAB 1.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrD72F1P05_x64:bd07/17/2014:svnTobefilledbyO.E.M.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnFoxconn:rnnT-iBT18/nT-iBT19/nT-iBT29:rvrFAB1.0:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: To be filled by O.E.M.
version.compiz: compiz N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.60-2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.5.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.5.2-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.17.1-0ubuntu3
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.0-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917-1~exp1ubuntu2.2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu2build1
xserver.bootTime: Thu Aug 20 17:18:12 2015
xserver.configfile: default
xserver.devices:
 input Power Button KEYBOARD, id 6
 input Video Bus KEYBOARD, id 7
 input Sleep Button KEYBOARD, id 8
 input Multimedia Air Mouse Keyboard KEYBOARD, id 9
 input Multimedia Air Mouse Keyboard KEYBOARD, id 10
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.17.1-0ubuntu3

tags: added: ubuntu

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Unknown → Confirmed
100 comments hidden view all 174 comments

I have found a setting that controls the random freezes, at least on my board. Disabling "IGD Turbo Enable" under NorthBridge options in the BIOS. Otherwise, the BIOS is set to the defaults.

Different kernel .configs had no effect. I have enabled all Baytrail options and boot from an EFI stub.

Lowering i915_max_freq, even setting it to min still freezes my T100TAF (Atom Z3735).
I haven't experienced any freezes with pstate=disabled, but performance is really affected

Given Luka Karinja's results, I checked my kernel args to see if something else could account for my results. I found - i915.i915_enable_rc6=1 i915.lvds_downclock=1 i915.semaphores=1 i915.i915_enable_fbc=1.

rc6=1 seems to be known to add instability, perhaps the freq cap offset that. I've stripped the args (except boot, splash, quiet) will be running new tests.

Kernel args I've been using the last few weeks on T100CHI.

boot=pci,force acpi=force rcutree.rcu_idle_gp_delay=1 libahci.ignore_sss=1 splash quiet acpi_enforce_resources=lax i915.i915_enable_rc6=1 i915.lvds_downclock=1 i915.semaphores=1 i915.i915_enable_fbc=1 drm.vblankoffdelay=1 pcie_aspm=force acpi=force rcutree.rcu_idle_gp_delay=1 libahci.ignore_sss=1 splash quiet acpi_enforce_resources=lax drm.vblankoffdelay=1 pcie_aspm=force

I still get rare freezes on ubuntu with linux-image-generic-lts-utopic (kernel 3.16.0). Does pstates=disabled only effect Intel-CPUs or AMDs as well? I am searching for a general setup that doesnt effect AMD-cpus but Intel Baytrail only.

1 comments hidden view all 174 comments

(In reply to John from comment #102)
> Given Luka Karinja's results, I checked my kernel args to see if something
> else could account for my results. I found - i915.i915_enable_rc6=1
> i915.lvds_downclock=1 i915.semaphores=1 i915.i915_enable_fbc=1.

i915.i915_enable_rc6 and i915.i915_enable_fbc have been renamed i915.enable_rc6 and i915.enable_fbc, respectively, since v3.15 so those have had no impact.

These days all of those are considered debug options, and we taint the kernel if they've been set.

(In reply to Jani Nikula from comment #105)
<snip>
> i915.i915_enable_rc6 and i915.i915_enable_fbc have been renamed
> i915.enable_rc6 and i915.enable_fbc, respectively, since v3.15 so those have
> had no impact.
>
> These days all of those are considered debug options, and we taint the
> kernel if they've been set.

Appreciate the info. Retested: no args, no cap -> froze < 2 hours, reboot froze within 2 minutes. Frequency cap only, still running (25+ hrs.)

But it looks like I've been just rehashing comments 33-36, which also didn't work for everyone. Only difference is 50% cap vs. minimum cap. Improvement?

Every kernel above 3.16.x just fails.

3.16.x - no freeze
> 3.16.x - freezes no later than six hours after video launch.

I checked many kernel versions: 3.16.x, 3.17.x, 3.18.x, 3.19.x, 4.0.x, 4.1.x, 4.2.x and latest 4.3. None of described above kernel parameters works.

For tests I used ASROCK SBC-211P (Baytrail-E3800).

(In reply to John from comment #99)
> To cap frequency I read the max (779 for mine) from
>
> cat /sys/class/drm/card0/gt_max_freq_mhz
>
> To set pick a lower value (as root)
>
> echo 423 > /sys/kernel/debug/dri/0/i915_max_freq

I have a Z3735F baytrail tablet running Debian 8 with a 1 month old linux-next kernel.

I've lowered the i915_max_freq to 345 MHz, and achieved stability that way.
No freezes since then. The Z3735F GPU has a base freq of 311 MHz, so I am pretty close to that.

I have also patched the kernel source with a few baytrail sdhci related patches from: https://github.com/hadess/rtl8723bs/tree/master/patches

(In reply to Andy Furniss from comment #81)

<snip>

> Recently needed to re-locate and while doing so updated to 4.1.10 = hard
> lock after 7 days uptime. The kernel was not the only difference as I
> attached a usb printer and so have usb module and cups running now, though
> the printer had been off for days when it locked.
>
> Anyway I am back on 4.1.1 now (with printer) and will have to see how long
> it lasts to be sure whether the kernel or the printer (or the move!) was the
> cause.

Still up OK after 20 days back on 4.1.1.

Strange that 4.1.10 seems to be a regression, there don't seem to be any obvious power related i915 commits between the two. Though as I am headless I am not getting and i915 interrupts anyway, which makes me thing that there is some different CPU/IO related regression. In all the testing I did before when using GPU I never locked by just stressing CPU/IO until maybe just before I stopped testing when I could get "make modules_install" to reliably lock (as noted in a previous comment).

(In reply to Andy Furniss from comment #109)
> (In reply to Andy Furniss from comment #81)
>
> Still up OK after 20 days back on 4.1.1.
>
> Strange that 4.1.10 seems to be a regression, there don't seem to be any
> obvious power related i915 commits between the two. Though as I am headless
> I am not getting and i915 interrupts anyway, which makes me thing that there
> is some different CPU/IO related regression. In all the testing I did before
> when using GPU I never locked by just stressing CPU/IO until maybe just
> before I stopped testing when I could get "make modules_install" to reliably
> lock (as noted in a previous comment).

To make it even more strange - As I reported earlier, on kernel 4.2.3 my system was unusable. I've downgraded to LTS kernel 4.1.12 and had not a single issue since than. I'm running 4.1.12 sucessufully for more than a week now - not a single freeze. I don't even need any pstate=disable command args any more, which was necessary on 4.2.3 to survive more than few minutes. I haven't tested 4.1.10 though.

summary: - Xubuntu freeze once a day
+ 8086:0f31 Xubuntu freeze once a day

The notes for 4.2.6 claim to fix one problem that causes GPU locks. When I added the incremental patch set, the longest it ran was about an hour (usually it froze within 5 minutes.) I had just stopped a 6 day run (24/7) on my (ASUS baytrail) T100 specific 4.2.5 kernel (no args, 50% GPU cap) (with sdhci patches) The freezes in 4.2.6 now seem to be independent of GPU frequency for my setup.

1 comments hidden view all 174 comments

I've got freezes on baytrail tablet ASUS Vivotab note 8 (m80ta). But for me it looks unrelated to i915. Even with nomodeset and rmmod i915 system hang after some random time. From minutes to several hours.

I have system freezes on ASRock Q1900-ITX with a kernel 3.19.31-generic on an Ubuntu distro. I upgraded to kernel 4.2.0-16-generic last month and recently to 4.2.0-18-generic. The system freezes got worse (less than 10 min watching videos).

I disabled hardware acceleration in all software with this option, like in my browsers. Further I edited the file /etc/default/acpi-support: I disabled suspend/hibernate handling in acpi-support by changing the line "SUSPEND_METHODS="dbus-pm dbus-hal pm-utils" to "SUSPEND_METHODS="none".

I don't get any freezes anymore, now for 24h for both kernels 3.19.31-generic and 4.2.0-18-generic with a lot of video playing. I didn't tested on kernel 4.2.0-16-generic.

I tested disabling hardware acceleration without changing the acpi-support file. And I tested disabling suspend/hibernate handling with hardware acceleration. In both cases I still got freezes but it seems less frequent. I needed both options disabled to get rid of all the freezes.

1 comments hidden view all 174 comments
Paco (patrick-kowalzick) wrote :

My debian stretch was freezing several times a day. After disabling NoAccel and DRI I had no more freezes.

$ cat /etc/X11/xorg.conf.d/20-intel.conf
Section "Device"
   Identifier "Intel Graphics"
   Driver "intel"
   Option "NoAccel" "True"
   Option "DRI" "False"
EndSection

$ uname -r
4.2.0-1-amd64

Other ressources:
https://wiki.archlinux.org/index.php/Intel_graphics#X_freeze.2Fcrash_with_intel_driver

2 comments hidden view all 174 comments
Download full text (4.2 KiB)

On a zotac ci320 nano with ubuntu trusty server 14.04.3 LTS and kernel
from openelec forum 3.19.1-legacy-turbo+ with yavdr
unstable installed and va-api-glx in softhddevice vdr plugin a kernel oops
left the following trace, maybe usefull because freezes normally don't leave
a trace in the logs,..

Nov 17 22:12:55 nano4 kernel: [ 4740.991238] ------------[ cut here ]------------
Nov 17 22:12:55 nano4 kernel: [ 4740.991365] WARNING: CPU: 3 PID: 134 at drivers/gpu/drm/i915/intel_pm.c:4492 valleyview_set_rps+0x167/0x1a0 [i915]()
Nov 17 22:12:55 nano4 kernel: [ 4740.991375] WARN_ON(val > dev_priv->rps.max_freq_softlimit)
Nov 17 22:12:55 nano4 kernel: [ 4740.991383] Modules linked in: msr(E) autofs4(E) rc_tt_1500(OE) ts2020(OE) m88ds3103(OE) i2c_mux(E) arc4(E) intel_rapl(E) intel_powerclamp(E) snd_hda_codec_hdmi(E) snd_hda_codec_realtek(E) snd_hda_codec_generic(E) kvm(E) crct10dif_pclmul(E) crc32_pclmul(E) dvb_usb_dw2102(OE) dvb_usb(OE) ghash_clmulni_intel(E) iwlmvm(E) cryptd(E) dvb_core(OE) snd_soc_rt5640(E) mac80211(E) media(OE) snd_hda_intel(E) snd_soc_rl6231(E) snd_hda_controller(E) snd_intel_sst_acpi(E) snd_intel_sst_core(E) snd_soc_sst_mfld_platform(E) snd_hda_codec(E) snd_soc_core(E) serio_raw(E) snd_compress(E) iwlwifi(E) btusb(E) snd_pcm_dmaengine(E) snd_hwdep(E) cfg80211(E) snd_pcm(E) snd_seq_midi(E) snd_seq_midi_event(E) ir_lirc_codec(OE) ir_xmp_decoder(OE) lirc_dev(OE) ir_mce_kbd_decoder(OE) mei_txe(E) iosf_mbi(E) ir_sharp_decoder(OE) mei(E) lpc_ich(E) shpchp(E) ir_sanyo_decoder(OE) snd_rawmidi(E) ir_sony_decoder(OE) ir_jvc_decoder(OE) ir_rc6_decoder(OE) ir_rc5_decoder(OE) snd_seq(E) ir_nec_decoder(OE) snd_seq_device(E) snd_timer(E) rc_rc6_mce(OE) nuvoton_cir(OE) rc_core(OE) 8250_fintek(E) snd(E) rfcomm(E) bnep(E) dw_dmac(E) dw_dmac_core(E) i2c_hid(E) hid(E) rfkill_gpio(E) soundcore(E) bluetooth(E) snd_soc_sst_acpi(E) 8250_dw(E) spi_pxa2xx_platform(E) i2c_designware_platform(E) i2c_designware_core(E) pwm_lpss_platform(E) mac_hid(E) pwm_lpss(E) i915(E) video(E) drm_kms_helper(E) nfsd(E) drm(E) auth_rpcgss(E) nfs_acl(E) i2c_algo_bit(E) nfs(E) lockd(E) grace(E) sunrpc(E) fscache(E) nct6775(E) hwmon_vid(E) coretemp(E) lp(E) parport(E) nls_iso8859_1(E) psmouse(E) r8169(E) mii(E) ahci(E) libahci(E) sdhci_acpi(E) sdhci(E)
Nov 17 22:12:55 nano4 kernel: [ 4740.991767] CPU: 3 PID: 134 Comm: kworker/3:2 Tainted: G OE 3.19.1-legacy-turbo+ #1
Nov 17 22:12:55 nano4 kernel: [ 4740.991778] Hardware name: Motherboard by ZOTAC ZBOX-CI320NANO series/ZBOX-CI320NANO series, BIOS B219P026 05/19/2015
Nov 17 22:12:55 nano4 kernel: [ 4740.991859] Workqueue: events intel_gen6_powersave_work [i915]
Nov 17 22:12:55 nano4 kernel: [ 4740.991871] ffffffffc06cb3c8 ffff88003655fcc8 ffffffff8179acb0 0000000000000000
Nov 17 22:12:55 nano4 kernel: [ 4740.991890] ffff88003655fd18 ffff88003655fd08 ffffffff81073a7a ffff88003655fcf8
Nov 17 22:12:55 nano4 kernel: [ 4740.991908] ffff880078550000 00000000000000d6 00000000000000d6 ffff880077acd000
Nov 17 22:12:55 nano4 kernel: [ 4740.991927] Call Trace:
Nov 17 22:12:55 nano4 kernel: [ 4740.991968] [<ffffffff8179acb0>] dump_stack+0x45/0x57
Nov 17 22:12:55 nano4 kernel: [ 4740.991993] [<ffffffff81073a7a>] warn_slow...

Read more...

caprico (caprico4) wrote :

I'm living with the same bug with i915 driver:

- Happens in all Ubuntu versions with Kernel higher than version 3.16.x
- Screen freezes randomly, often when watching videos or scrolling through webpages with a lot of graphics. For testing I ran a Youtube Playlist and the system always froze after around 15-30min
- No input is possible when screen crashes, power-off button is the only solution
- I tried to load the kernel with i915.enable_rc6=0 and disabled intel_pstate, no success
- newer kernels like 4.2.0-16 and 4.3.0.040300 didn't solve the issue (seems they cause the crash to happen even faster)

Temporary solution:
-Install kernel 3.16.7 --> all issues dissapeared and so far I couldn't observe any freezes

It happens also to me (almost once a day) using on a fresh Ubuntu 15.10

-> Atom(TM) CPU E3845 @ 1.91GHz

-> Linux rehab-desktop 4.2.0-18-generic #22-Ubuntu SMP Fri Nov 6 18:25:50 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

-> Intel® Graphics Stack Release 2015Q3 for Linux*

But it alse also on a Mint 17.2 (14.04 based) with 3.16 and 3.19 kernels using either SNA and UXA accel method.

Hi All,

Came across this when hunting random freezes / crashes on Acer B115 laptop. It started with upgrade to ubuntu 15.04 (14.x worked ok, haven't noted the kernel versions).

http://ubuntuforums.org/showthread.php?t=2284615&p=13313066#post13313066 My original post in here.

OpenSuSE with kernel 4.0.5 seemed to run fine, but it might be that I looked it at the wrong end, because 15.04 ubuntu crashed only when going to sleep so that is the thing I tried to track down. 15.10 now crashes randomly during desktop use - and same happens in OpenSuSE Tumbleweed with 4.3 kernel.

Crashes seem intermittent, might make days without freeze and then couple of nights back two freezes in a row, second one just couple of minutes after reboot. Only load was chromium showing couple of large web pages when crashes happened. Symptons are quite same described in many posts, no sysrq possible, only power off works.

I did already try intel_pstate=disable and that made the system freeze on screensaver after just few minutes of uptime. After that I've booted with debugging options enabled and fiddled a bit with clock frequency setting, and haven't managed to crash since - but I'm still only three days up. Tried to make it crash by playing couple of games and/or HD videos, no luck so far. But this is to be expected, 15.10 ubuntu could also run couple of weeks - which makes this painful as there seems to be no clear way of reproducing the issue.

Just it makes me think that is there something going on with timings at hardware level? What I did try was to lower the frequency setting just lightly, with quick testing it didn't seem to matter how much I touched it. Also I'm a bit puzzled about the setting, is the /sys/kernel/debug/dri/0/i915_max_freq value in MHz or something else, as in log it says:

[26873.155419] [drm:valleyview_enable_rps] current GPU freq: 312 MHz (198)
[26873.155420] [drm:valleyview_enable_rps] setting GPU freq to 645 MHz (214)

And I think I saw this high values in log, even if I did set the frequency value to less than 400. Anyway, I'll update if I found anything else, this is annoying as it has been going on months now without a clear clue what is wrong with this laptop :)

I've been running several days without a freeze on my 4.2.6 kernel. I simply added intel_idle.max_cstate=1 to my kernel arguments, no other power arguments, and no more setting GPU frequency caps.

intel_idle.max_cstate=0 was effective too, but my system ran warm (not hot) when idle. At max_cstate=1 the case temperature seems normal to me.

I suspect that the cost of this work-around would be less battery run time. But until the T100CHI has full hardware support in linux (no sound, no bluetooth...), I'm tethered to a powered hub anyway.

I've also tested versions of 4.1.13, 4.2.6, 4.3, even 4.4-rc1 without obvious side-effects. 4.4rc2 did freeze within minutes of booting, but 4.4-rcx has too many regressions (no wifi even on a dongle) to take that freeze seriously.

I also tried max_cstate=2 on my Dell laptop (baytrail) but that seemed to trigger a "not quite" freeze during a kernel build (fan speed malfunction typical of a freeze, but the build finished successfully.) The subsequent power down crashed and the next boot was extremely difficult to start (press hold repeat). I'm not going to try the remaining max cstates 3-6!

This might suggest the freeze lies in handling cstates 2-6 starting after kernel-3.16.7. But that assumes this bandaid lasts more than another week.

(In reply to John from comment #117)
> I've been running several days without a freeze on my 4.2.6...<snip>..
>
Update: I found info suggesting cstate limits of 0,1 & 6(default) are valid, maybe 3, but probably not 2.

I had to boot my CHI into the OEM. When I resumed linux, I omitted the cstate kernel argument, as a sanity check. My 4.2.6 froze within 5 minutes (browsing internet eagle cam). Otherwise, still no freezes when I set intel_idle.max_cstate=1. (~10 days so far)

It looks like I can reproduce one type of freeze readily, so if y'all have [baytrail cstate management] 4.2.x patches to beta test, let me know. I can also test 4.1.1x or 4.3.x patches but those freeze rates are less "dependable." I won't test 4.4-rcx until wifi (or USB wifi dongle) starts working again in the stock kernel.

Changed in xserver-xorg-video-intel:
importance: Medium → High

Confirming that "intel_idle.max_cstate=1" has solved my complete freeze issues on Bay Trail running Linux 4.1.13(Slackware64-current(pre-4.2) formerly running Ubuntu 15.04/15.10 with stock kernels).

Thanx for all the hard-work and long-efforts to see this through!

I can also confirm that "intel_idle.max_cstate=1" has solved my complete freeze issues on Bay Trail (Celeron J1900) running Linux 4.2.5 (Arch Linux).

Before I got complete freeze when playing video using Kodi or VLC, browsing using Chrome etc. Freeze happened randomly, sometimes within 5 minutes of boot, other the computer would be stable for hours.

With "intel_idle.max_cstate=1" the computer has been stable for more than two days straight now playing videos, music, browsing using Chrome, playing some games etc.

Thanks John for the tip!

I tried all ubuntu 14.04 LTS kernels from 3.13 over 3.16, 3.19 to 4.2 and got freezes with all of them except for 3.13. All which produced freezes have been tried with all mentioned kernel parameters and verified it with cat /proc/cmdline. Kernel 4.2 + intel_idle.max_cstate=1 froze within 1 day.

We are running almost 200 machines with a identical setup of ubuntu 14.04 + xfce4 + chromium + html5-kiosk web application which includes an ogm video which is played when idle and otherwise some hardware accelerated html5 animations. 50 of the machines were supported by an Celeron J1900, the remains are equiped with older Core 2 Duo / Pentium Dual-Core or Celeron 847 and ~20 AMD E1-2100 or A4-5000. The most stable kernel for us is the default Ubuntu 14.04 kernel 3.13. We're going to buy AMD Kabinis as we dont have any issues there except the higher TDP and higher temperatures in a complete passively cooled system.

I was surprised to experience a freeze while running Android_x86 4.4-rc3 on my 2 in 1 laptop. After digging a bit - I found that the android_x86 runs on a custom linux-4.0.8. There wasn't a cstate argument in the command line. Too soon to know if it will help, but I no longer get the "unfortunately," my app "has stopped running" warning when I try to launch an app with wifi off.

As ladiko points out, it is curious that AMD machines seem to be exempt from these freezes. I have a dual boot AMD laptop mainly running Mint (linux 3.16.0-38-generic) for about 6 months. The only problems I've had with it were related to the old hard drive starting to fail. The kernel might be too old to freeze, though.

This bug has nothing to do with AMD machines ... that's just noise. It's still the same for everyone. Forcing the kernel to max cstate 1 or setting that via the bios solves the issue reliable.

We have some good experience with: https://github.com/fritsch/OpenELEC.tv/blob/jarvis-egl/packages/linux/patches/4.3/linux-999-i915-use-legacy-turbo.patch

Besides that - this bug got really, really silent concerning fixes.

I've got the pentium n3540 on my asus laptop. I made fresh install this afternoon of ubuntu daily build (16.04).And it use kernel 4.3.0-2. No freeze at this time after one afternoon lighten. I listen music with rhythmbox and navigate on network.

My apologies Mr. Frühberger , I see that I've once again re-discovered an already existing work around. In the first post for this bug, you revealed the cstate workaround, almost a year ago.

I've tried your patch on my freeze prone 4.2.6. It did last longer (25 minutes vs. 5 vs.) The patch looks valid all the way back to 3.18, the oldest project directory I have. I suspect on my 4.2.5 kernel, the patch would appear to be freeze-less.

(In reply to Chris Rainey from comment #119)
> Confirming that "intel_idle.max_cstate=1" has solved my complete freeze
> issues on Bay Trail running Linux 4.1.13(Slackware64-current(pre-4.2)
> formerly running Ubuntu 15.04/15.10 with stock kernels).
>
> Thanx for all the hard-work and long-efforts to see this through!

Hm, sounds like after over a year of random walking multiple people have nailed this to cpu cstates, and the gpu driver changing behaviour slightly was just the canary in the coal mine here.

I tried to read through all comments here (gosh is there a lot of that) and didn't find anything to contradict that.

Given that I filed a new bug report on bugzilla.kernel.org:

https://bugzilla.kernel.org/show_bug.cgi?id=109051

Everyone please jump over there to that bug and fill in with your details/summary.

Thanks, Daniel

Changed in xserver-xorg-video-intel:
status: Confirmed → Unknown

Created attachment 120563
drm/i915/vlv: Take forcewake on media engine writes

(In reply to Mika Kuoppala from comment #127)
> Created attachment 120563 [details] [review]
> drm/i915/vlv: Take forcewake on media engine writes

what kernel version should be used? tried aplying to 4.4rc5 and 4.3.3 with build errors

Created attachment 120584
drm/i915/vlv: [V4.3 backport] Take forcewake on media engine writes

(In reply to Mika Kuoppala from comment #129)
> Created attachment 120584 [details] [review]
> drm/i915/vlv: [V4.3 backport] Take forcewake on media engine writes

Thanks for the backport. Without cstate arg, I had a freeze within a few minutes. With cstate arg and patch no problems. The justification for the patch seems quite reasonable, it just doesn't affect freezing on my setup (ASUS T100-CHI Mint17.2/Cinnamon). I'll try the patch with other kernels for Mint and Manjaro.

Ubuntu1988, thank you for reporting this and helping make Ubuntu better.

As per https://wiki.ubuntu.com/Releases, Ubuntu 15.04 is EOL as of February 4, 2016.

Is this reproducible in a supported release?

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Critical → Medium
status: Triaged → Incomplete

Hello, I've been having this same issue of full system hang/freeze in my Asus Chromebox (Haswell) since I got it.
I've tried multiple xbuntu distros, kodibuntu and OpenElec and in all of them I always had system freezes, mostly while watching videos in Kodi but also while in desktop or watching videos in browser (YouTube, Netflix).
Everytime I've had to go back to Windows, no problem there, right now booting Win 10 off external HDD and GalliumOS (Based on Ubuntu 15.04 with default kernel) from internal SSD.

I too can't believe why this bug hasn't been fixed yet and honestly I don't understand what is the final fix/workaround for this bug.
Some people claim the cstate arg work but for others don't work.

Can someone please provide me a link to latest patched and working kernel version so I can test. I read all comments but its very confusing, there is no clear resolution here.

T.I.A

Freeze while watching video in YouTube, video freezes but audio is in a loop. Total system hang, force reboot necessary.

https://youtu.be/uSXXRf9t1E0

(In reply to Veronica from comment #131)
> I too can't believe why this bug hasn't been fixed yet and honestly I don't
> understand what is the final fix/workaround for this bug.
> Some people claim the cstate arg work but for others don't work.
>
> Can someone please provide me a link to latest patched and working kernel
> version so I can test. I read all comments but its very confusing, there is
> no clear resolution here.
>
> T.I.A

The bug has been moved (but not fixed) to https://bugzilla.kernel.org/show_bug.cgi?id=109051 Over 200 additional comments, last 40 have some new ideas.

cstate works for a many, but not all.

(In reply to John from comment #133)
> (In reply to Veronica from comment #131)
> > I too can't believe why this bug hasn't been fixed yet and honestly I don't
> > understand what is the final fix/workaround for this bug.
> > Some people claim the cstate arg work but for others don't work.
> >
> > Can someone please provide me a link to latest patched and working kernel
> > version so I can test. I read all comments but its very confusing, there is
> > no clear resolution here.
> >
> > T.I.A
>
> The bug has been moved (but not fixed) to
> https://bugzilla.kernel.org/show_bug.cgi?id=109051 Over 200 additional
> comments, last 40 have some new ideas.
>
> cstate works for a many, but not all.

Thank you for that link, reading it and will report there after testing in my Chromebox.

(In reply to Daniel Vetter from comment #126)
> (In reply to Chris Rainey from comment #119)
> > Confirming that "intel_idle.max_cstate=1" has solved my complete freeze
> > issues on Bay Trail running Linux 4.1.13(Slackware64-current(pre-4.2)
> > formerly running Ubuntu 15.04/15.10 with stock kernels).
> >
> > Thanx for all the hard-work and long-efforts to see this through!
>
> Hm, sounds like after over a year of random walking multiple people have
> nailed this to cpu cstates, and the gpu driver changing behaviour slightly
> was just the canary in the coal mine here.
>
> I tried to read through all comments here (gosh is there a lot of that) and
> didn't find anything to contradict that.
>
> Given that I filed a new bug report on bugzilla.kernel.org:
>
> https://bugzilla.kernel.org/show_bug.cgi?id=109051
>
> Everyone please jump over there to that bug and fill in with your
> details/summary.
>
> Thanks, Daniel

RESOLVED MOVED again.

Sergio Fernández (wikier) wrote :

Any news on this bug?

I suffered it on Willy, so I expected it to be fixed in Xenial LTS, so it's a bit disappointing :-/

Displaying first 40 and last 40 comments. View all 174 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.